### Method

# Qmi MessageUimRegisterEventsInput ref

since: 1.22.4

#### Declaration [src]

    QmiMessageUimRegisterEventsInput*
    qmi_message_uim_register_events_input_ref (
      QmiMessageUimRegisterEventsInput* self
    )

#### Description [src]

Atomically increments the reference count of `self` by one.

Available since: 1.22.4

#### Return value

Type: `QmiMessageUimRegisterEventsInput`

The new reference to `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.